import { Semifunctional } from '../../../../../Class/Semifunctional';
import { System } from '../../../../../system';
import { B } from '../../../../../types/interface/B';
import { MS } from '../../../../../types/interface/MS';
export type I = {
    stream: MS;
    opt: MediaRecorderOptions;
    start: number;
    stop: any;
};
export type O = {
    blob: B;
};
export default class _MediaRecorder extends Semifunctional<I, O> {
    private _media_recorder;
    constructor(system: System);
    f({ opt, stream }: I): void;
    private _start_recorder;
    onIterDataInputData(name: string, data: any): void;
    onIterDataInputDrop(name: string): void;
}
